This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 240354 - Broadcom Corporation BCM4306 gets ASSERTION FAILED error
Broadcom Corporation BCM4306 gets ASSERTION FAILED error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Martin Jenner
:
Depends On:
Blocks: 222082
  Show dependency treegraph
 
Reported: 2007-05-16 14:10 EDT by Prarit Bhargava
Modified: 2010-10-22 11:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
jwltest-ieee80211-2_6_21-cherrypick.patch (68.50 KB, patch)
2007-06-04 14:36 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2007-05-16 14:10:32 EDT
Description of problem:

When attempting to start the BCM4306 I get the error,

SoftMAC: ASSERTION FAILED (0) at:
net/ieee80211/softmac/ieee80211softmac_wx.c:306:ieee80211softmac_wx_get_rate()

Version-Release number of selected component (if applicable): 2.6.18-8.1.4.el5


How reproducible: 100%


Steps to Reproduce:
1. Attempt to start a BCM4306 on RHEL5 via ifup
  
Actual results:  From syslog:

May 16 14:01:31 dhcp83-99 kernel: SoftMAC: ASSERTION FAILED (0) at:
net/ieee80211/softmac/ieee80211softmac_wx.c:306:ieee80211softmac_wx_get_rate()
May 16 14:01:31 dhcp83-99 kernel: bcm43xx: set security called, .level = 0,
.enabled = 0, .encrypt = 0
May 16 14:01:31 dhcp83-99 kernel: SoftMAC: Associate: Scanning for networks first.
May 16 14:01:31 dhcp83-99 kernel: SoftMAC: Associate: failed to initiate scan.
Is device up?
May 16 14:01:31 dhcp83-99 kernel: bcm43xx: PHY connected
May 16 14:01:31 dhcp83-99 kernel: bcm43xx: Radio turned on
May 16 14:01:31 dhcp83-99 kernel: bcm43xx: Chip initialized
May 16 14:01:31 dhcp83-99 kernel: bcm43xx: DMA initialized
May 16 14:01:31 dhcp83-99 kernel: bcm43xx: 80211 cores initialized
May 16 14:01:31 dhcp83-99 kernel: bcm43xx: Keys cleared
May 16 14:01:31 dhcp83-99 kernel: SoftMAC: Associate: Scanning for networks first.
May 16 14:01:31 dhcp83-99 kernel: SoftMAC: Start scanning with channel: 1
May 16 14:01:31 dhcp83-99 kernel: SoftMAC: Scanning 14 channels
May 16 14:01:31 dhcp83-99 kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
May 16 14:01:32 dhcp83-99 kernel: SoftMAC: Scanning finished
May 16 14:01:32 dhcp83-99 kernel: SoftMAC: Queueing Authentication Request to
02:04:23:97:12:42
May 16 14:01:32 dhcp83-99 kernel: SoftMAC: Cannot associate without being
authenticated, requested authentication
May 16 14:01:32 dhcp83-99 kernel: SoftMAC: Already requested authentication,
waiting...
May 16 14:01:32 dhcp83-99 kernel: SoftMAC: Sent Authentication Request to
02:04:23:97:12:42.
May 16 14:01:37 dhcp83-99 kernel: bcm43xx: Radio turned off
May 16 14:01:37 dhcp83-99 kernel: bcm43xx: DMA 0x0200 (RX) max used slots: 6/64
May 16 14:01:37 dhcp83-99 kernel: bcm43xx: DMA 0x0260 (TX) max used slots: 0/512
May 16 14:01:37 dhcp83-99 kernel: bcm43xx: DMA 0x0240 (TX) max used slots: 0/512
May 16 14:01:37 dhcp83-99 kernel: bcm43xx: DMA 0x0220 (TX) max used slots: 1/512
May 16 14:01:37 dhcp83-99 kernel: bcm43xx: DMA 0x0200 (TX) max used slots: 0/512
May 16 14:02:19 dhcp83-99 ntpd[2492]: synchronized to 130.60.127.149, stratum 3

Expected results:  BCM4306 should come into service

Additional info: This is on my personal laptop, a Compaq Presario R3000 series.
I have not looked at the ieee80211 code to determine what assertion is failing,
and I really hope this isn't another 32 vs 64 bit issue with this device.
Comment 1 Prarit Bhargava 2007-05-16 15:07:25 EDT
John, if there's anything I can do to help out let me know ...

P.
Comment 2 RHEL Product and Program Management 2007-05-16 16:04:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 John W. Linville 2007-05-17 13:45:01 EDT
Please try the test kernels here:

   http://people.redhat.com/linville/kernels/rhel5/

Do these work better for you?
Comment 4 Prarit Bhargava 2007-05-18 10:38:48 EDT
>Do these work better for you?

Yep :) ... I no longer see the ASSERTION FAILED error.

Thanks John -- that was quick :)

P.
Comment 5 Jay Turner 2007-06-01 13:54:02 EDT
QE ack for RHEL5.1.
Comment 6 John W. Linville 2007-06-04 14:36:52 EDT
Created attachment 156109 [details]
jwltest-ieee80211-2_6_21-cherrypick.patch
Comment 8 Don Zickus 2007-06-18 11:21:19 EDT
in 2.6.18-28.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 errata-xmlrpc 2007-11-07 14:49:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.